#include "OB6710.h"
#include "IIC_M.h"

void main(void)
{
    IIC_Init_master();
    Check_Arbitration();    // multi-master use
    Check_Busy();           // multi-master use
    while(1)
    {
        Delay(100);
        IIC_Current_Address_Read(d_DEVICE_ID);
        Delay(100);
        IIC_Byte_Write(d_DEVICE_ID, 0x00, 0x55);
        Delay(100);
        IIC_Page_Write(d_DEVICE_ID, 0x01, 5);
        Delay(100);
        IIC_Random_Read(d_DEVICE_ID, 0x01, 5);
        Delay(100);
        Sequential_Read(d_DEVICE_ID, 5);
    }
}